For the complete documentation index, see llms.txt. This page is also available as Markdown.

Get a live video

URL

GET https://api.complycube.com/v1/liveVideos/:id

Retrieves an existing live video.

Headers

Name
Type
Description

Authorization*

string

The live or sandbox API key.

Path parameters

Name
Type
Description

id*

string

The ID of the live video.

Example request

curl -X GET https://api.complycube.com/v1/liveVideos/{:liveVideoId} \
     -H 'Authorization: <YOUR_API_KEY>'
const { ComplyCube } = require("@complycube/api");

const complycube = new ComplyCube({ apiKey: "<YOUR_API_KEY>" });

const liveVideo = await complycube.liveVideo.get("LIVE_VIDEO_ID");
from complycube import ComplyCubeClient

cc_api = ComplyCubeClient(api_key='<YOUR_API_KEY>')

livevideo = cc_api.livevideos.get(videoid)
use ComplyCube\ComplyCubeClient;

$ccapi = new ComplyCubeClient('<YOUR_API_KEY>');

$liveVideo = $ccapi->livevideos()->get('LIVE_VIDEO_ID');
using ComplyCube.Net;
using ComplyCube.Net.Resources.LiveVideos;

var liveVideoApi = new LiveVideoApi(new ComplyCubeClient("<YOUR_API_KEY>"));

var liveVideo = liveVideoApi.GetAsync("LIVE_VIDEO_ID").Result;

Example responses

{
    "id": "5eb1b5f231778a0008d1c3f6",
    "clientId": "5eb1276d96be4a0008713af5",
    "language": "en-GB",
    "challenges": [
      {
        "type": "voice",
        "value": [
          "7",
          "9",
          "1",
          "7"
        ]
      },
      {
        "type": "actions",
        "value": [
          "turnHeadLeft"
        ]
      }
    ],
    "createdAt": "2020-01-01T14:06:44.756Z",
    "updatedAt": "2020-01-01T14:06:44.756Z"
}